#include "triangles.h"
#include <bits/stdc++.h>
using namespace std;
vector<vector<int>> solve(int n) {
    vector<int> p(n);
    iota(p.begin(),p.end(),0);
    do {
        vector<Triangle> l={{p[0]+1,p[1]+1,p[2]+1},{p[2]+1,p[3]+1,p[0]+1}};
        vector<Triangle> r={{p[0]+1,p[1]+1,p[3]+1},{p[1]+1,p[2]+1,p[3]+1}};
        if (compare(l,r)==0) {
            vector<vector<int>> ans={{p[0]+1,p[1]+1,p[2]+1,p[3]+1}};
            return ans;
        }

    }while (next_permutation(p.begin(),p.end()));
    vector<Triangle> f,s;
    // Example of compare:
    // Пример использования функции compare:
    std::vector<Triangle> left = {Triangle(0, 1, 2)};
    std::vector<Triangle> right = {Triangle(0, 1, 2)};
    int compare_result = compare(left, right);
    // compare_result should be equal to 0.
    // compare_result будет равняться нулю, так как сравнивались одинаковые треугольники.
    
    // Example of return:
    // Пример возвращаемого значения:
    std::vector<std::vector<int>> ans;
    ans.push_back(std::vector<int>(n));
    for (int i = 0; i < n; ++i) {
        ans[0][i] = i;
    }
    return ans;
}
